@tool
class_name MySequenceLogic extends RJ_SequenceAction


@export
var duration: float = 0


func _onTrigger( sequenceAction:GDScriptSequenceAction ) -> void:
  
  var id = sequenceAction.DispatchStart();  
  await get_tree().create_timer( duration ).timeout;
  
  sequenceAction.DispatchEnd( id );  
  sequenceAction.LogInfoFor( self, "Waited for " + str( duration ) );
  
## ---
